Upload source-map batch
curl --request PUT \
--url https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chunks": [
{
"path": "<string>",
"offset": 1,
"bytes": "<string>"
}
]
}
'import requests
url = "https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/batch"
payload = { "chunks": [
{
"path": "<string>",
"offset": 1,
"bytes": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chunks: [{path: '<string>', offset: 1, bytes: '<string>'}]})
};
fetch('https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'chunks' => [
[
'path' => '<string>',
'offset' => 1,
'bytes' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/batch"
payload := strings.NewReader("{\n \"chunks\": [\n {\n \"path\": \"<string>\",\n \"offset\": 1,\n \"bytes\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"chunks\": [\n {\n \"path\": \"<string>\",\n \"offset\": 1,\n \"bytes\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"chunks\": [\n {\n \"path\": \"<string>\",\n \"offset\": 1,\n \"bytes\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"fileCount": 1
}{
"code": "AUTH_MISSING",
"message": "<string>",
"service": "collector"
}{
"code": "AUTH_AK_SCOPE_MISMATCH",
"message": "<string>",
"service": "collector"
}{
"code": "RELEASE_UPLOAD_CONFLICT",
"message": "<string>",
"service": "collector"
}{
"code": "RELEASE_SIGN_FILE_TOO_LARGE",
"message": "<string>",
"service": "collector"
}{
"code": "INGEST_INFRA_UNAVAILABLE",
"message": "<string>",
"service": "collector"
}Upload source-map batch
Atomically uploads source-map chunks from the signed inventory. Accepts Content-Encoding: gzip. The encoded and decoded JSON bodies must each fit within 8 MiB.
PUT
/
v3
/
releases
/
{releaseSlug}
/
source-maps
/
batch
Upload source-map batch
curl --request PUT \
--url https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chunks": [
{
"path": "<string>",
"offset": 1,
"bytes": "<string>"
}
]
}
'import requests
url = "https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/batch"
payload = { "chunks": [
{
"path": "<string>",
"offset": 1,
"bytes": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chunks: [{path: '<string>', offset: 1, bytes: '<string>'}]})
};
fetch('https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'chunks' => [
[
'path' => '<string>',
'offset' => 1,
'bytes' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/batch"
payload := strings.NewReader("{\n \"chunks\": [\n {\n \"path\": \"<string>\",\n \"offset\": 1,\n \"bytes\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"chunks\": [\n {\n \"path\": \"<string>\",\n \"offset\": 1,\n \"bytes\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.interfere.com/v3/releases/{releaseSlug}/source-maps/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"chunks\": [\n {\n \"path\": \"<string>\",\n \"offset\": 1,\n \"bytes\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"fileCount": 1
}{
"code": "AUTH_MISSING",
"message": "<string>",
"service": "collector"
}{
"code": "AUTH_AK_SCOPE_MISMATCH",
"message": "<string>",
"service": "collector"
}{
"code": "RELEASE_UPLOAD_CONFLICT",
"message": "<string>",
"service": "collector"
}{
"code": "RELEASE_SIGN_FILE_TOO_LARGE",
"message": "<string>",
"service": "collector"
}{
"code": "INGEST_INFRA_UNAVAILABLE",
"message": "<string>",
"service": "collector"
}Authorizations
apiKeyapiKeyHeader
Build-time secret key of the surface, as issued in the Interfere dashboard
Path Parameters
Pattern:
^rel_[0-9a-f]{16}$Query Parameters
Deploy environment of the build. Each environment of a release has its own source maps; omit it to use the source maps of the release.
Required string length:
1 - 64Example:
"production"
Body
application/json
Required array length:
1 - 32 elementsShow child attributes
Show child attributes
Was this page helpful?
⌘I